%define gettext_package redhat-menus
%define desktop_file_utils_version 0.9

Summary: Configuration and data files for the desktop menus
Name: asianux-menus
Version: 4.0
Release: 1%{?dist}
Source0: %{name}-%{version}.tar.gz
License: GPLv2+
Group: User Interface/Desktops
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: intltool automake autoconf libtool
BuildRequires: glib2-devel
Requires(post): desktop-file-utils >= %{desktop_file_utils_version}
Requires(postun): desktop-file-utils >= %{desktop_file_utils_version}
Provides: config(redhat-menus) = 14.0.0-3.el6
Provides: redhat-menus = 14.0.0-3.el6

## old nautilus contained start-here stuff
Conflicts: nautilus <= 2.0.3-1
## old evolution packages point to a no-longer-existing symlink
Conflicts: evolution <= 2.4.1-5

%description
This package contains the XML files that describe the menu layout for 
GNOME and KDE, and the .desktop files that define the names and icons 
of "subdirectories" in the menus.

%prep
%setup -q

%build
intltoolize --force
autoconf
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{gettext_package}

# this is in gnome-menus now
rm -f $RPM_BUILD_ROOT%{_datadir}/desktop-directories/System.directory

# create the settings-merged to prevent gamin from looking for it
# in a loop
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus/settings-merged ||:

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database %{_datadir}/applications

%postun
update-desktop-database %{_datadir}/applications

%files  -f %{gettext_package}.lang
%defattr(-,root,root)
%doc COPYING
%dir %{_sysconfdir}/xdg/menus
%dir %{_sysconfdir}/xdg/menus/applications-merged
%dir %{_sysconfdir}/xdg/menus/preferences-merged
%dir %{_sysconfdir}/xdg/menus/preferences-post-merged
%dir %{_sysconfdir}/xdg/menus/settings-merged
%config %{_sysconfdir}/xdg/menus/*.menu
%{_datadir}/desktop-menu-patches/*.desktop
%{_datadir}/desktop-directories/*.directory

%changelog
* Thu Nov 18 2010 Hua Jie <jie.hua@asianux.com> 4.0-1%{?dist}
- create package for Asianux Server 4
